> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Search loyalty card users

> Search the loyalty card users for the specified POS system and location by keyword.



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/loyaltyCard/users/lookup
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/loyaltyCard/users/lookup:
    post:
      tags:
        - Loyalty Cards (v2)
      summary: Search loyalty card users
      description: >-
        Search the loyalty card users for the specified POS system and location
        by keyword.
      operationId: PosV2LoyaltyCard_LookupLoyaltyCardUsers
      parameters:
        - name: posSystemId
          in: path
          description: POS system
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          application/json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          text/json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          application/xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          text/xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosLookupLoyaltyCardUsersRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              keyword: laz
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/PosLookupLoyaltyCardUsersResponseApiResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PosLookupLoyaltyCardUsersResponseApiResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/PosLookupLoyaltyCardUsersResponseApiResponse
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/PosLookupLoyaltyCardUsersResponseApiResponse
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/PosLookupLoyaltyCardUsersResponseApiResponse
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosLookupLoyaltyCardUsersRequest:
      required:
        - keyword
        - posLocationId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: The POS location identifier
        keyword:
          minLength: 3
          type: string
          description: Search key word for filtering coupons
      additionalProperties: false
      description: Request model for looking up a loyalty card users
    PosLookupLoyaltyCardUsersResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosLookupLoyaltyCardUsersResponse'
      additionalProperties: false
    PosLookupLoyaltyCardUsersResponse:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/PosLoyaltyCardUserDto'
          description: Loyalty Card
          nullable: true
      additionalProperties: false
      description: Response model for looking up loyalty card users
    PosLoyaltyCardUserDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty Card User unique identifier
          nullable: true
        firstName:
          type: string
          description: Loyalty Card User first name
          nullable: true
        lastName:
          type: string
          description: Loyalty Card User last name
          nullable: true
        gender:
          type: string
          description: Loyalty Card User gender
          nullable: true
        phone:
          type: string
          description: Loyalty Card User phone number
          nullable: true
        email:
          type: string
          description: Loyalty Card User email
          nullable: true
        stamps:
          type: integer
          description: Loyalty Card User stamps
          format: int32
          nullable: true
        points:
          type: integer
          description: Loyalty Card User points
          format: int32
          nullable: true
      additionalProperties: false
      description: Represent loyalty card user
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````